Dart Plug-in in IntelliJ 13

34 views
Skip to first unread message

Stefan Schulz

unread,
Nov 20, 2015, 12:37:28 AM11/20/15
to Dart plugin for JetBrains Editors
Hello group,

As I am new to Dart, I was going to try the Plug-in for IntelliJ IDEA. So I followed the instructions given at JetBrains' IntelliJ help pages and installed the SDK, Dartium and the plug-in.
For testing, I created a new project with the sample data provided. While it gets executed fine and runs in Dartium, I could not get IntelliJ to debug the application.
I also tried WebStorm to find out about system issues. But here debugging worked fine instantly with the same settings for SDK and Dartium.

Are there any issues or difficulties known with IntelliJ Version 13 and the Dart plug-in? Or special settings to apply? Or do I have to use a newer version of IntelliJ?
Any helping comment is much appreciated.

Thanks,
Stefan

Günter Zöchbauer

unread,
Nov 20, 2015, 2:42:45 AM11/20/15
to Dart plugin for JetBrains Editors
AFAIK the IntelliJ community edition doesn't support debugging browser applications.
I use only WebStorm therefore don't know for sure.

Alexander Doroshko

unread,
Nov 20, 2015, 4:27:13 AM11/20/15
to jetbrains-dart...@dartlang.org
IntelliJ IDEA Community Edition doesn't support debugging in browser.
IntelliJ IDEA Ultimate Edition version 13 is too old an the latest Dart
plugin is not compatible with it. You need IntelliJ IDEA 15 Ultimate
Edition or WebStorm 11.

Stefan Schulz

unread,
Nov 20, 2015, 9:45:03 AM11/20/15
to Dart plugin for JetBrains Editors
Thanks. I did not mention in the original post, but I am using IntelliJ Ultimate.

Stefan Schulz

unread,
Nov 20, 2015, 9:45:03 AM11/20/15
to Dart plugin for JetBrains Editors
Thank you.
Reply all
Reply to author
Forward
0 new messages